-- Find_Natural_Wonder
-- Author: KCucumber
-- DateCreated: 12/22/2017 6:20:25 PM
--------------------------------------------------------------

function Find_Natural_Wonder( plotx, ploty, eFeature, isFirstToFind )
	local localPlayerID:number = Game.GetLocalPlayer();
	local pPlayer = Players[localPlayerID];
	local playerConfig = PlayerConfigurations[localPlayerID];

	if playerConfig:GetCivilizationTypeName() == "CIVILIZATION_CV_SPAIN" then
		local currentTurn = Game.GetCurrentGameTurn();
		local startTurn = GameConfiguration.GetStartTurn();
		if isFirstToFind then
			if (currentTurn - startTurn) < 51 then
				pPlayer:GetTreasury():ChangeGoldBalance(1000);
			else
				pPlayer:GetTreasury():ChangeGoldBalance(500);
			end
		end
	else
		return;
	end
end
Events.NaturalWonderRevealed.Add(Find_Natural_Wonder);